aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorIlan Peer <ilan.peer@intel.com>2014-10-27 14:00:55 (GMT)
committerJouni Malinen <j@w1.fi>2014-11-01 15:08:29 (GMT)
commit6e04f411680c6bf76829c456bed0b9e7bea70da8 (patch)
treed623c712896cd0ce5ff57ce367302ee4a4529f13 /tests
parent5d60296ea7542165bb0187565e626e781266a553 (diff)
downloadhostap-6e04f411680c6bf76829c456bed0b9e7bea70da8.zip
hostap-6e04f411680c6bf76829c456bed0b9e7bea70da8.tar.gz
hostap-6e04f411680c6bf76829c456bed0b9e7bea70da8.tar.bz2
tests: Add usage() to run-all.sh
The -h or --help command line arguments can now be used to request usage information for run-all.sh. Signed-off-by: Ilan Peer <ilan.peer@intel.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/hwsim/run-all.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index 20e8e34..9bdb7b1 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -24,6 +24,14 @@ else
fi
fi
+usage()
+{
+ echo "$0 [-v | --valgrind | valgrind] [-t | --trace | trace]"
+ echo "\t[-n <num> | --channels <num>] [-B | --build]"
+ echo "\t[-c | --codecov ] [run-tests.py parameters]"
+ exit 1
+}
+
unset VALGRIND
unset TRACE
unset TRACE_ARGS
@@ -60,6 +68,9 @@ while [ "$1" != "" ]; do
CODECOV=lcov
BUILD_ARGS=-c
;;
+ -h | --help)
+ usage
+ ;;
*)
RUN_TEST_ARGS="$RUN_TEST_ARGS$1 "
shift